# IKParam(bpy_struct)

base class — `bpy_struct`

subclasses — `Itasc`

class `bpy.types.``IKParam`(bpy_struct)

  Base type for IK solver parameters

  `ik_solver`

    IK solver for which these parameters are defined

    - `LEGACY` Standard, Original IK solver.
    - `ITASC` iTaSC, Multi constraint, stateful IK solver.

    Type: | enum in [‘LEGACY’, ‘ITASC’], default ‘LEGACY’, (readonly)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Pose.ik_param` |